package cn.com.qmth.stmms.biz.exam.model;

import java.io.Serializable;

/*
 * 从科目的维度去维护试卷的结构
 */
public class ExamSubjectPaperDTO implements Serializable {

    private static final long serialVersionUID = 2457589654916634924L;

    // 题型名称
    private String title;

    // 该题的大题号
    private Integer mainNumber;

    // 该题的小题号
    private Integer subNumber;

    // 有效个数
    private Integer count;

    // 该题间隔分数
    private Double intervalScore;

    // 该题分数
    private Double socre;

    // 查考答案
    private String answer;

    // 考试ID
    private Long examId;

    // 课程代码
    private String subjectCode;

    // 分数class名字
    private String scoreClass;

    // 答案class名字
    private String answerClass;

    // 1：客观；0：主观
    private Integer objective;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }

    public Integer getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(Integer subNumber) {
        this.subNumber = subNumber;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Double getIntervalScore() {
        return intervalScore;
    }

    public void setIntervalScore(Double intervalScore) {
        this.intervalScore = intervalScore;
    }

    public Double getSocre() {
        return socre;
    }

    public void setSocre(Double socre) {
        this.socre = socre;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getScoreClass() {
        return scoreClass;
    }

    public void setScoreClass(String scoreClass) {
        this.scoreClass = scoreClass;
    }

    public String getAnswerClass() {
        return answerClass;
    }

    public void setAnswerClass(String answerClass) {
        this.answerClass = answerClass;
    }

    public Integer getObjective() {
        return objective;
    }

    public void setObjective(Integer objective) {
        this.objective = objective;
    }
}
